# ShowFullScene.py
# PUT YOUR NAME(S) AND NETID(S) HERE
# Skeleton by the CS 1110 profs, April 2016
# PUT DATE COMPLETED HERE

from ThePlayClass  import *


def FullScene(P):
    """ Modifies P.theScenes so that each scene location is fully specified.
    Pre: P is a reference to a Play object.
    """
    pass
# BEGIN REMOVE
    m = len(P.theScenes)
    for k in range(1,m):
        # Get the location of scene k
        s = P.theScenes[k].location
        if s.find('The same')>=0:
            # The scene needs to be fully specified...
            P.theScenes[k].location = P.theScenes[k-1].location
# END REMOVE


def main():
    """ Illustrates how to use the function FullScene."""
    P = Play('ANTONY AND CLEOPATRA')
    print '\n', P.theTitle, '\n'

    # Display all the scenes in their original form...
    for s in P.theScenes:
        print s
    print
    # Now convert all the scenes to full format and display again...
    FullScene(P)
    for s in P.theScenes:
            print s

if __name__ == '__main__':
    main()