# CheckFreq.py
# cs 1110 profs
# April 2016
""" Checks out the method Freq """

from ThePlayClass  import *

def main():

# BEGIN REMOVE
# For grading. "words" is good because not too frequent,
# but repeated in a line, so we see if they are counting all occurrences
# in a line.
# Fessing up:
#    grep -i -w words ThePlays/HAMLET.txt
# shows that there are actual 20 occurrences, but two appear in
# speech passages that our simple processing doesn't handle correctly.
    p = Play("HAMLET")
    h_words_count = p.Freq("words")
    assert h_words_count == 18, \
        "incorrect count of 'words' for Hamlet: " + str(h_words_count)
# END REMOVE

    w = raw_input('Enter a word (in lower case): ')
    # Here's a list of strings that names every single play...
    theWorks = theComedies() + theTragedies() + theHistories()
    for p in theWorks:
        P = Play(p)
        n = P.Freq(w)
        print '%4d  %s' %(n,P.theTitle)


if __name__ == '__main__':
    main()
